Subject: Re: FVWM: Changing exported variables in an active fvwm2 session?

From: Glen Lee Edwards <[email-masked]>
Date: Fri, 14 Dec 2001 17:26:39 -0600

Dan Espen writes:
>Glen Lee Edwards <[email-masked]> writes:
>> I use the following perl script, which reads from a directory and creates fvw
>> m
>> buttons for each file name:
>> 
>> #!/usr/bin/perl
>...
>> The "$EDITOR" variable is a system variable defined in ~/.bash_profile that I
>> 'd
>> like to be able to change on the fly so I can from an xterm define which text
>> editor is used to edit the files in the respective directory.  Currently the
>> only way I've been able to accomplish this is to quit the fvwm2 session and
>> redefine $EDITOR from console.  Is there a way I can do this while still in t
>> he
>> fvwm2 session?  Doing a restart would be acceptable, but it would be nice to 
>> be
>> able to just type in an xterm "$ "EDITOR=emacs" and have the change recognize
>> d
>> by fvwm.
>
>Start the FvwmCommand server.
>
>Do:
>
>FvwmCommand "setenv EDITOR emacs"

Wow.  I didn't think it was possible, but thought I'd ask the question anyway.
Glad I did.  I set up an FvwmButton that has all the text editors I use, and
when I click on the one I need it is set as the default $EDITOR.  Then, when I
click on a file listed by the other buttons, viola! we're off.

Fvwm is definitely the best Window Manager!

Glen
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].